Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161610 - repo-rss doesn't work with yum 2.3.x
Summary: repo-rss doesn't work with yum 2.3.x
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 19:51 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-27 10:25:24 UTC


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2005-06-24 19:51:27 UTC
When trying to use repo-rss with yum 2.3.x the following traceback is generated
due to the change in how yum handles changelogs:

Traceback (most recent call last):
  File "/usr/bin/repo-rss.py", line 238, in ?
    main(options, args)
  File "/usr/bin/repo-rss.py", line 212, in main
    rssobj.doPkg(pkg, url)
  File "/usr/bin/repo-rss.py", line 110, in doPkg
    item = self.rsspkg(pkg, url)
  File "/usr/bin/repo-rss.py", line 136, in rsspkg
    for e in pkg.changelog:
TypeError: iteration over non-sequence

Comment 1 Seth Vidal 2005-06-27 05:45:38 UTC
can you give me the versions of yum and which release of repo-rss this is?

I can't make this happen on my yum 2.3.3 and repo-rss from cvs.



Comment 2 Ignacio Vazquez-Abrams 2005-06-27 05:59:59 UTC
This is with yum 2.3.2-7. Updating yum to 2.3.3-1 doesn't solve this. Where's
the CVS for repo-rss?

Comment 3 Seth Vidal 2005-06-27 06:04:01 UTC
I don't remember changing any code in repo-rss but cvs is available via the web
from:
http://devel.linux.duke.edu/cgi-bin/viewcvs.cgi/yum-utils/



Comment 4 Ignacio Vazquez-Abrams 2005-06-27 10:25:24 UTC
Ah, I see the problem. It's on my end, not yours. Sorry about that.

Comment 5 Seth Vidal 2005-06-27 13:16:01 UTC
would you mind telling me what it was?



Note You need to log in before you can comment on or make changes to this bug.